package com.smppw.analysis.infrastructure.exception;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/8/12 15:51
 * @description 通用的错误信息
 */
@Setter
@Getter
public class ErrorInfo {
    /**
     * 发生时间
     */
    private String time;
    /**
     * 访问Url
     */
    private String url;
    /**
     * 错误类型
     */
    private String error;
    /**
     * 状态码
     */
    private int statusCode;
    /**
     * 状态码
     */
    private String reasonPhrase;
    /**
     * 错误的堆栈轨迹
     */
    private String stackTrace;
}
